"""create table for apples

Revision ID: 5d7c16b9e3f4
Revises: 9a7d63f4b8f2
Create Date: 2023-05-16 12:34:56

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func
import uuid

# revision identifiers, used by Alembic.
revision = '5d7c16b9e3f4'
down_revision = '9a7d63f4b8f2'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table(
        'apples',
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now()),
        sa.Index('ix_apples_name', 'name', unique=True)
    )

def downgrade():
    op.drop_table('apples')