from pydantic import BaseModel, Field
from typing import Optional
from datetime import datetime
from uuid import UUID

class AppleBase(BaseModel):
    name: str = Field(..., description="Name of the apple")

class AppleCreate(AppleBase):
    pass

class AppleUpdate(AppleBase):
    name: Optional[str] = Field(None, description="Name of the apple")

class AppleSchema(AppleBase):
    id: UUID
    created_at: datetime
    updated_at: datetime

    class Config:
        orm_mode = True